tigase.eventbus.impl

## Enum AbstractHandler.Type

- java.lang.Object
- - java.lang.Enum<AbstractHandler.Type>
  - - tigase.eventbus.impl.AbstractHandler.Type

- All Implemented Interfaces:
    Serializable, Comparable<AbstractHandler.Type>
  Enclosing class:
    AbstractHandler

      public static enum AbstractHandler.Type
      extends Enum<AbstractHandler.Type>

  Defines what type of event is expected by Handler.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `asIs` As is.
    `element` Only XML events.
    `object` Only non-XML events.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AbstractHandler.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AbstractHandler.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### object

          public static final AbstractHandler.Type object

      Only non-XML events. XML events will be ignored.

    - #### element

          public static final AbstractHandler.Type element

      Only XML events. Non-XML events will be converted to XML.

    - #### asIs

          public static final AbstractHandler.Type asIs

      As is. Without conversion.

  - ### Method Detail

    - #### values

          public static AbstractHandler.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AbstractHandler.Type c : AbstractHandler.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AbstractHandler.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2004–2021 "Tigase, Inc.". All rights reserved.